Bug 1303864 - mongod crashes on armv7hl
mongod crashes on armv7hl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
24
armv7hl Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Skalický
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 04:26 EST by Petr Pisar
Modified: 2016-04-21 21:25 EDT (History)
9 users (show)

See Also:
Fixed In Version: mongodb-3.2.3-2.fc24 mongodb-3.0.11-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 21:25:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2016-02-02 04:26:47 EST
mongod from mongodb-server-3.2.1-3.fc24.armv7hl segfaults during initialization:

+ mkdir test_db
+ mongod --fork --logpath /builddir/build/BUILD/MongoDB-v0.708.4.0/mongod.log --pidfilepath /builddir/build/BUILD/MongoDB-v0.708.4.0/mongod.pid --dbpath /builddir/build/BUILD/MongoDB-v0.708.4.0/test_db/ --storageEngine mmapv1 --smallfiles
2016-02-02T09:15:01.501+0000 F -        [main] Invalid access at address: 0
2016-02-02T09:15:01.514+0000 F -        [main] Got signal: 11 (Segmentation fault).
 0x80434940 0x8043371c 0x80434290 0xb60eba90 0x8040f5fc 0x80416ea0 0x80416e34 0x8041dae0 0x80423104 0x80427130 0x7f926a6c 0x7f93287c 0x7f932cc8 0x7f932f88 0x7f8d5934 0xb60d0d7c
----- BEGIN BACKTRACE -----
{"backtrace":[{"b":"7F599000","o":"E9B940"},{"b":"7F599000","o":"E9A71C"},{"b":"7F599000","o":"E9B290"},{"b":"B60BA000","o":"31A90"},{"b":"7F599000","o":"E765FC"},{"b":"7F599000","o":"E7DEA0"},{"b":"7F599000","o":"E7DE34"},{"b":"7F599000","o":"E84AE0"},{"b":"7F599000","o":"E8A104"},{"b":"7F599000","o":"E8E130"},{"b":"7F599000","o":"38DA6C"},{"b":"7F599000","o":"39987C"},{"b":"7F599000","o":"399CC8"},{"b":"7F599000","o":"399F88"},{"b":"7F599000","o":"33C934"},{"b":"B60BA000","o":"16D7C"}]}
 mongod(_ZN5mongo15printStackTraceERSo+0x60) [0x80434940]
 mongod(+0xE9A71C) [0x8043371c]
 mongod(+0xE9B290) [0x80434290]
 libc.so.6(__default_rt_sa_restorer+0x0) [0xb60eba90]
 mongod(_ZNSt8_Rb_treeINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESt4pairIKS5_N5mongo17optionenvironment5ValueEESt10_Select1stISB_ESt4lessIS5_ESaISB_EE22_M_emplace_hint_uniqueIJRKSt21piecewise_construct_tSt5tupleIJRS7_EESM_IJEEEEESt17_Rb_tree_iteratorISB_ESt23_Rb_tree_const_iteratorISB_EDpOT_+0x60) [0x8040f5fc]
 mongod(_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE+0x2AC) [0x80416ea0]
 mongod(_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE+0x240) [0x80416e34]
 mongod(_ZN5mongo17optionenvironment13OptionsParser16addDefaultValuesERKNS0_13OptionSectionEPNS0_11EnvironmentE+0x64) [0x8041dae0]
 mongod(_ZN5mongo17optionenvironment13OptionsParser3runERKNS0_13OptionSectionERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaISB_EERKSt3mapISB_SB_St4lessISB_ESaISt4pairIKSB_SB_EEEPNS0_11EnvironmentE+0x6E0) [0x80423104]
 mongod(_ZN5mongo17optionenvironment46_mongoInitializerFunction_StartupOptions_ParseEPNS_18InitializerContextE+0x68) [0x80427130]
 mongod(_ZNSt17_Function_handlerIFN5mongo6StatusEPNS0_18InitializerContextEEPS4_E9_M_invokeERKSt9_Any_dataOS3_+0x34) [0x7f926a6c]
 mongod(_ZNK5mongo11Initializer7executeERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS7_EERKSt3mapIS7_S7_St4lessIS7_ESaISt4pairIKS7_S7_EEE+0x1C0) [0x7f93287c]
 mongod(_ZN5mongo21runGlobalInitializersERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS6_EERKSt3mapIS6_S6_St4lessIS6_ESaISt4pairIKS6_S6_EEE+0x4C) [0x7f932cc8]
 mongod(_ZN5mongo21runGlobalInitializersEiPKPKcS3_+0x298) [0x7f932f88]
 mongod(main+0x78) [0x7f8d5934]
 libc.so.6(__libc_start_main+0x114) [0xb60d0d7c]
-----  END BACKTRACE  -----
2016-02-02T09:15:01.514+0000 F -        [main] /proc/self/maps:
7f599000-80689000 r-xp 00000000 08:03 9965694    /usr/bin/mongod
2016-02-02T09:15:01.514+0000 F -        [main] 8068a000-806a4000 r--p 010f0000 08:03 9965694    /usr/bin/mongod
2016-02-02T09:15:01.514+0000 F -        [main] 806a4000-806a8000 rw-p 0110a000 08:03 9965694    /usr/bin/mongod
2016-02-02T09:15:01.514+0000 F -        [main] 806a8000-806c1000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.514+0000 F -        [main] 81a6d000-8266e000 rw-p 00000000 00:00 0          [heap]
2016-02-02T09:15:01.514+0000 F -        [main] b42b8000-b42c8000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.514+0000 F -        [main] b42c8000-b42e3000 r-xp 00000000 08:03 9962968    /usr/lib/libselinux.so.1
2016-02-02T09:15:01.514+0000 F -        [main] b42e3000-b42f2000 ---p 0001b000 08:03 9962968    /usr/lib/libselinux.so.1
2016-02-02T09:15:01.514+0000 F -        [main] b42f2000-b42f3000 r--p 0001a000 08:03 9962968    /usr/lib/libselinux.so.1
2016-02-02T09:15:01.514+0000 F -        [main] b42f3000-b42f4000 rw-p 0001b000 08:03 9962968    /usr/lib/libselinux.so.1
2016-02-02T09:15:01.514+0000 F -        [main] b42f4000-b42f5000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.514+0000 F -        [main] b42f5000-b42f7000 r-xp 00000000 08:03 9963874    /usr/lib/libkeyutils.so.1.5
2016-02-02T09:15:01.514+0000 F -        [main] b42f7000-b4306000 ---p 00002000 08:03 9963874    /usr/lib/libkeyutils.so.1.5
2016-02-02T09:15:01.514+0000 F -        [main] b4306000-b4307000 r--p 00001000 08:03 9963874    /usr/lib/libkeyutils.so.1.5
2016-02-02T09:15:01.514+0000 F -        [main] b4307000-b4308000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.514+0000 F -        [main] b4308000-b4314000 r-xp 00000000 08:03 9963895    /usr/lib/libkrb5support.so.0.1
2016-02-02T09:15:01.514+0000 F -        [main] b4314000-b4323000 ---p 0000c000 08:03 9963895    /usr/lib/libkrb5support.so.0.1
2016-02-02T09:15:01.514+0000 F -        [main] b4323000-b4324000 r--p 0000b000 08:03 9963895    /usr/lib/libkrb5support.so.0.1
2016-02-02T09:15:01.514+0000 F -        [main] b4324000-b4325000 rw-p 0000c000 08:03 9963895    /usr/lib/libkrb5support.so.0.1
2016-02-02T09:15:01.514+0000 F -        [main] b4325000-b433b000 r-xp 00000000 08:03 9962830    /usr/lib/libresolv-2.22.90.so
2016-02-02T09:15:01.514+0000 F -        [main] b433b000-b434a000 ---p 00016000 08:03 9962830    /usr/lib/libresolv-2.22.90.so
2016-02-02T09:15:01.514+0000 F -        [main] b434a000-b434b000 r--p 00015000 08:03 9962830    /usr/lib/libresolv-2.22.90.so
2016-02-02T09:15:01.514+0000 F -        [main] b434b000-b434c000 rw-p 00016000 08:03 9962830    /usr/lib/libresolv-2.22.90.so
2016-02-02T09:15:01.514+0000 F -        [main] b434c000-b434e000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.514+0000 F -        [main] b434e000-b4379000 r-xp 00000000 08:03 9963883    /usr/lib/libk5crypto.so.3.1
2016-02-02T09:15:01.514+0000 F -        [main] b4379000-b4389000 ---p 0002b000 08:03 9963883    /usr/lib/libk5crypto.so.3.1
2016-02-02T09:15:01.514+0000 F -        [main] b4389000-b438a000 r--p 0002b000 08:03 9963883    /usr/lib/libk5crypto.so.3.1
2016-02-02T09:15:01.514+0000 F -        [main] b438a000-b438b000 rw-p 0002c000 08:03 9963883    /usr/lib/libk5crypto.so.3.1
2016-02-02T09:15:01.514+0000 F -        [main] b438b000-b438d000 r-xp 00000000 08:03 9963102    /usr/lib/libcom_err.so.2.1
2016-02-02T09:15:01.514+0000 F -        [main] b438d000-b439d000 ---p 00002000 08:03 9963102    /usr/lib/libcom_err.so.2.1
2016-02-02T09:15:01.514+0000 F -        [main] b439d000-b439e000 r--p 00002000 08:03 9963102    /usr/lib/libcom_err.so.2.1
2016-02-02T09:15:01.514+0000 F -        [main] b439e000-b439f000 rw-p 00003000 08:03 9963102    /usr/lib/libcom_err.so.2.1
2016-02-02T09:15:01.514+0000 F -        [main] b439f000-b4451000 r-xp 00000000 08:03 9963893    /usr/lib/libkrb5.so.3.3
2016-02-02T09:15:01.515+0000 F -        [main] b4451000-b4461000 ---p 000b2000 08:03 9963893    /usr/lib/libkrb5.so.3.3
2016-02-02T09:15:01.515+0000 F -        [main] b4461000-b4468000 r--p 000b2000 08:03 9963893    /usr/lib/libkrb5.so.3.3
2016-02-02T09:15:01.515+0000 F -        [main] b4468000-b4469000 rw-p 000b9000 08:03 9963893    /usr/lib/libkrb5.so.3.3
2016-02-02T09:15:01.515+0000 F -        [main] b4469000-b44a6000 r-xp 00000000 08:03 9963879    /usr/lib/libgssapi_krb5.so.2.2
2016-02-02T09:15:01.515+0000 F -        [main] b44a6000-b44b6000 ---p 0003d000 08:03 9963879    /usr/lib/libgssapi_krb5.so.2.2
2016-02-02T09:15:01.515+0000 F -        [main] b44b6000-b44b7000 r--p 0003d000 08:03 9963879    /usr/lib/libgssapi_krb5.so.2.2
2016-02-02T09:15:01.515+0000 F -        [main] b44b7000-b44b8000 rw-p 0003e000 08:03 9963879    /usr/lib/libgssapi_krb5.so.2.2
2016-02-02T09:15:01.515+0000 F -        [main] b44b8000-b45fb000 r-xp 00000000 08:03 9965586    /usr/lib/libicuuc.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b45fb000-b460b000 ---p 00143000 08:03 9965586    /usr/lib/libicuuc.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b460b000-b4614000 r--p 00143000 08:03 9965586    /usr/lib/libicuuc.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b4614000-b4615000 rw-p 0014c000 08:03 9965586    /usr/lib/libicuuc.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b4615000-b4617000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.515+0000 F -        [main] b4617000-b480e000 r-xp 00000000 08:03 9965574    /usr/lib/libicui18n.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b480e000-b481e000 ---p 001f7000 08:03 9965574    /usr/lib/libicui18n.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b481e000-b4827000 r--p 001f7000 08:03 9965574    /usr/lib/libicui18n.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b4827000-b4828000 rw-p 00200000 08:03 9965574    /usr/lib/libicui18n.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b4828000-b600b000 r-xp 00000000 08:03 9965572    /usr/lib/libicudata.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b600b000-b601a000 ---p 017e3000 08:03 9965572    /usr/lib/libicudata.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b601a000-b601b000 r--p 017e2000 08:03 9965572    /usr/lib/libicudata.so.56.1
2016-02-02T09:15:01.515+0000 F -        [main] b601b000-b601c000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.515+0000 F -        [main] b601c000-b6026000 r-xp 00000000 08:03 9965558    /usr/lib/libunwind.so.8.0.1
2016-02-02T09:15:01.515+0000 F -        [main] b6026000-b6035000 ---p 0000a000 08:03 9965558    /usr/lib/libunwind.so.8.0.1
2016-02-02T09:15:01.515+0000 F -        [main] b6035000-b6036000 r--p 00009000 08:03 9965558    /usr/lib/libunwind.so.8.0.1
2016-02-02T09:15:01.515+0000 F -        [main] b6036000-b6037000 rw-p 0000a000 08:03 9965558    /usr/lib/libunwind.so.8.0.1
2016-02-02T09:15:01.515+0000 F -        [main] b6037000-b605c000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.515+0000 F -        [main] b605c000-b6080000 r-xp 00000000 08:03 9963017    /usr/lib/libnspr4.so
2016-02-02T09:15:01.515+0000 F -        [main] b6080000-b608f000 ---p 00024000 08:03 9963017    /usr/lib/libnspr4.so
2016-02-02T09:15:01.515+0000 F -        [main] b608f000-b6090000 r--p 00023000 08:03 9963017    /usr/lib/libnspr4.so
2016-02-02T09:15:01.515+0000 F -        [main] b6090000-b6091000 rw-p 00024000 08:03 9963017    /usr/lib/libnspr4.so
2016-02-02T09:15:01.515+0000 F -        [main] b6091000-b6093000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.515+0000 F -        [main] b6093000-b6096000 r-xp 00000000 08:03 9963022    /usr/lib/libplc4.so
2016-02-02T09:15:01.515+0000 F -        [main] b6096000-b60a5000 ---p 00003000 08:03 9963022    /usr/lib/libplc4.so
2016-02-02T09:15:01.515+0000 F -        [main] b60a5000-b60a6000 r--p 00002000 08:03 9963022    /usr/lib/libplc4.so
2016-02-02T09:15:01.515+0000 F -        [main] b60a6000-b60a7000 rw-p 00003000 08:03 9963022    /usr/lib/libplc4.so
2016-02-02T09:15:01.515+0000 F -        [main] b60a7000-b60a9000 r-xp 00000000 08:03 9963023    /usr/lib/libplds4.so
2016-02-02T09:15:01.515+0000 F -        [main] b60a9000-b60b8000 ---p 00002000 08:03 9963023    /usr/lib/libplds4.so
2016-02-02T09:15:01.515+0000 F -        [main] b60b8000-b60b9000 r--p 00001000 08:03 9963023    /usr/lib/libplds4.so
2016-02-02T09:15:01.515+0000 F -        [main] b60b9000-b60ba000 rw-p 00002000 08:03 9963023    /usr/lib/libplds4.so
2016-02-02T09:15:01.515+0000 F -        [main] b60ba000-b620d000 r-xp 00000000 08:03 9962802    /usr/lib/libc-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b620d000-b621c000 ---p 00153000 08:03 9962802    /usr/lib/libc-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b621c000-b621e000 r--p 00152000 08:03 9962802    /usr/lib/libc-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b621e000-b621f000 rw-p 00154000 08:03 9962802    /usr/lib/libc-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b621f000-b6222000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.515+0000 F -        [main] b6222000-b6238000 r-xp 00000000 08:03 9962828    /usr/lib/libpthread-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b6238000-b6247000 ---p 00016000 08:03 9962828    /usr/lib/libpthread-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b6247000-b6248000 r--p 00015000 08:03 9962828    /usr/lib/libpthread-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b6248000-b6249000 rw-p 00016000 08:03 9962828    /usr/lib/libpthread-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b6249000-b624b000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.515+0000 F -        [main] b624b000-b6267000 r-xp 00000000 08:03 9961875    /usr/lib/libgcc_s-6.0.0-20160129.so.1
2016-02-02T09:15:01.515+0000 F -        [main] b6267000-b6276000 ---p 0001c000 08:03 9961875    /usr/lib/libgcc_s-6.0.0-20160129.so.1
2016-02-02T09:15:01.515+0000 F -        [main] b6276000-b6277000 rw-p 0001b000 08:03 9961875    /usr/lib/libgcc_s-6.0.0-20160129.so.1
2016-02-02T09:15:01.515+0000 F -        [main] b6277000-b62e8000 r-xp 00000000 08:03 9962810    /usr/lib/libm-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b62e8000-b62f7000 ---p 00071000 08:03 9962810    /usr/lib/libm-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b62f7000-b62f8000 r--p 00070000 08:03 9962810    /usr/lib/libm-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b62f8000-b62f9000 rw-p 00071000 08:03 9962810    /usr/lib/libm-2.22.90.so
2016-02-02T09:15:01.515+0000 F -        [main] b62f9000-b6431000 r-xp 00000000 08:03 9962846    /usr/lib/libstdc++.so.6.0.22
2016-02-02T09:15:01.515+0000 F -        [main] b6431000-b6440000 ---p 00138000 08:03 9962846    /usr/lib/libstdc++.so.6.0.22
2016-02-02T09:15:01.515+0000 F -        [main] b6440000-b6445000 r--p 00137000 08:03 9962846    /usr/lib/libstdc++.so.6.0.22
2016-02-02T09:15:01.515+0000 F -        [main] b6445000-b6447000 rw-p 0013c000 08:03 9962846    /usr/lib/libstdc++.so.6.0.22
2016-02-02T09:15:01.516+0000 F -        [main] b6447000-b6449000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.516+0000 F -        [main] b6449000-b644d000 r-xp 00000000 08:03 9962808    /usr/lib/libdl-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b644d000-b645c000 ---p 00004000 08:03 9962808    /usr/lib/libdl-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b645c000-b645d000 r--p 00003000 08:03 9962808    /usr/lib/libdl-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b645d000-b645e000 rw-p 00004000 08:03 9962808    /usr/lib/libdl-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b645e000-b6464000 r-xp 00000000 08:03 9962832    /usr/lib/librt-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b6464000-b6473000 ---p 00006000 08:03 9962832    /usr/lib/librt-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b6473000-b6474000 r--p 00005000 08:03 9962832    /usr/lib/librt-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b6474000-b6475000 rw-p 00006000 08:03 9962832    /usr/lib/librt-2.22.90.so
2016-02-02T09:15:01.516+0000 F -        [main] b6475000-b65dc000 r-xp 00000000 08:03 9963901    /usr/lib/libcrypto.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b65dc000-b65eb000 ---p 00167000 08:03 9963901    /usr/lib/libcrypto.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b65eb000-b65f9000 r--p 00166000 08:03 9963901    /usr/lib/libcrypto.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b65f9000-b6600000 rw-p 00174000 08:03 9963901    /usr/lib/libcrypto.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b6600000-b6603000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.516+0000 F -        [main] b6603000-b665a000 r-xp 00000000 08:03 9963903    /usr/lib/libssl.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b665a000-b6669000 ---p 00057000 08:03 9963903    /usr/lib/libssl.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b6669000-b666c000 r--p 00056000 08:03 9963903    /usr/lib/libssl.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b666c000-b6670000 rw-p 00059000 08:03 9963903    /usr/lib/libssl.so.1.0.2f
2016-02-02T09:15:01.516+0000 F -        [main] b6670000-b6676000 r-xp 00000000 08:03 9965600    /usr/lib/libsnappy.so.1.3.0
2016-02-02T09:15:01.516+0000 F -        [main] b6676000-b6685000 ---p 00006000 08:03 9965600    /usr/lib/libsnappy.so.1.3.0
2016-02-02T09:15:01.516+0000 F -        [main] b6685000-b6686000 r--p 00005000 08:03 9965600    /usr/lib/libsnappy.so.1.3.0
2016-02-02T09:15:01.516+0000 F -        [main] b6686000-b6687000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.516+0000 F -        [main] b6687000-b668e000 r-xp 00000000 08:03 9962974    /usr/lib/libpcrecpp.so.0.0.1
2016-02-02T09:15:01.516+0000 F -        [main] b668e000-b669d000 ---p 00007000 08:03 9962974    /usr/lib/libpcrecpp.so.0.0.1
2016-02-02T09:15:01.516+0000 F -        [main] b669d000-b669e000 r--p 00006000 08:03 9962974    /usr/lib/libpcrecpp.so.0.0.1
2016-02-02T09:15:01.516+0000 F -        [main] b669e000-b669f000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.516+0000 F -        [main] b669f000-b6703000 r-xp 00000000 08:03 9962967    /usr/lib/libpcre.so.1.2.6
2016-02-02T09:15:01.516+0000 F -        [main] b6703000-b6713000 ---p 00064000 08:03 9962967    /usr/lib/libpcre.so.1.2.6
2016-02-02T09:15:01.516+0000 F -        [main] b6713000-b6714000 r--p 00064000 08:03 9962967    /usr/lib/libpcre.so.1.2.6
2016-02-02T09:15:01.516+0000 F -        [main] b6714000-b6715000 rw-p 00065000 08:03 9962967    /usr/lib/libpcre.so.1.2.6
2016-02-02T09:15:01.516+0000 F -        [main] b6715000-b67f4000 r-xp 00000000 08:03 9965571    /usr/lib/libboost_regex.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b67f4000-b6803000 ---p 000df000 08:03 9965571    /usr/lib/libboost_regex.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b6803000-b6807000 rw-p 000de000 08:03 9965571    /usr/lib/libboost_regex.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b6807000-b680d000 r-xp 00000000 08:03 9965355    /usr/lib/libboost_chrono.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b680d000-b681c000 ---p 00006000 08:03 9965355    /usr/lib/libboost_chrono.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b681c000-b681d000 rw-p 00005000 08:03 9965355    /usr/lib/libboost_chrono.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b681d000-b681f000 r-xp 00000000 08:03 9965329    /usr/lib/libboost_system.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b681f000-b682e000 ---p 00002000 08:03 9965329    /usr/lib/libboost_system.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b682e000-b682f000 rw-p 00001000 08:03 9965329    /usr/lib/libboost_system.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b682f000-b684f000 r-xp 00000000 08:03 9965358    /usr/lib/libboost_thread.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b684f000-b6850000 rw-p 00020000 08:03 9965358    /usr/lib/libboost_thread.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b6850000-b6861000 r-xp 00000000 08:03 9965357    /usr/lib/libboost_filesystem.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b6861000-b6871000 ---p 00011000 08:03 9965357    /usr/lib/libboost_filesystem.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b6871000-b6872000 rw-p 00011000 08:03 9965357    /usr/lib/libboost_filesystem.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b6872000-b68d7000 r-xp 00000000 08:03 9965602    /usr/lib/libboost_program_options.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b68d7000-b68e7000 ---p 00065000 08:03 9965602    /usr/lib/libboost_program_options.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b68e7000-b68e9000 rw-p 00065000 08:03 9965602    /usr/lib/libboost_program_options.so.1.60.0
2016-02-02T09:15:01.516+0000 F -        [main] b68e9000-b6953000 r-xp 00000000 08:03 9965598    /usr/lib/libyaml-cpp.so.0.5.1
2016-02-02T09:15:01.516+0000 F -        [main] b6953000-b6963000 ---p 0006a000 08:03 9965598    /usr/lib/libyaml-cpp.so.0.5.1
2016-02-02T09:15:01.516+0000 F -        [main] b6963000-b6964000 r--p 0006a000 08:03 9965598    /usr/lib/libyaml-cpp.so.0.5.1
2016-02-02T09:15:01.516+0000 F -        [main] b6964000-b6965000 rw-p 0006b000 08:03 9965598    /usr/lib/libyaml-cpp.so.0.5.1
2016-02-02T09:15:01.516+0000 F -        [main] b6965000-b6966000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.516+0000 F -        [main] b6966000-b698f000 r-xp 00000000 08:03 9965603    /usr/lib/libstemmer.so.0.0.0
2016-02-02T09:15:01.516+0000 F -        [main] b698f000-b699e000 ---p 00029000 08:03 9965603    /usr/lib/libstemmer.so.0.0.0
2016-02-02T09:15:01.516+0000 F -        [main] b699e000-b69b1000 rw-p 00028000 08:03 9965603    /usr/lib/libstemmer.so.0.0.0
2016-02-02T09:15:01.516+0000 F -        [main] b69b1000-b69c3000 r-xp 00000000 08:03 9962980    /usr/lib/libz.so.1.2.8
2016-02-02T09:15:01.516+0000 F -        [main] b69c3000-b69d3000 ---p 00012000 08:03 9962980    /usr/lib/libz.so.1.2.8
2016-02-02T09:15:01.516+0000 F -        [main] b69d3000-b69d4000 r--p 00012000 08:03 9962980    /usr/lib/libz.so.1.2.8
2016-02-02T09:15:01.516+0000 F -        [main] b69d4000-b69d5000 rw-p 00013000 08:03 9962980    /usr/lib/libz.so.1.2.8
2016-02-02T09:15:01.516+0000 F -        [main] b69d5000-b6a14000 r-xp 00000000 08:03 9965562    /usr/lib/libtcmalloc.so.4.2.6
2016-02-02T09:15:01.517+0000 F -        [main] b6a14000-b6a23000 ---p 0003f000 08:03 9965562    /usr/lib/libtcmalloc.so.4.2.6
2016-02-02T09:15:01.517+0000 F -        [main] b6a23000-b6a24000 r--p 0003e000 08:03 9965562    /usr/lib/libtcmalloc.so.4.2.6
2016-02-02T09:15:01.517+0000 F -        [main] b6a24000-b6a25000 rw-p 0003f000 08:03 9965562    /usr/lib/libtcmalloc.so.4.2.6
2016-02-02T09:15:01.517+0000 F -        [main] b6a25000-b6a3f000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.517+0000 F -        [main] b6a3f000-b6f4c000 r-xp 00000000 08:03 9965599    /usr/lib/libmozjs-38.so
2016-02-02T09:15:01.517+0000 F -        [main] b6f4c000-b6f73000 r--p 0050c000 08:03 9965599    /usr/lib/libmozjs-38.so
2016-02-02T09:15:01.517+0000 F -        [main] b6f73000-b6f74000 rw-p 00533000 08:03 9965599    /usr/lib/libmozjs-38.so
2016-02-02T09:15:01.517+0000 F -        [main] b6f74000-b6f7b000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.517+0000 F -        [main] b6f7b000-b6f9e000 r-xp 00000000 08:03 9962794    /usr/lib/ld-2.22.90.so
2016-02-02T09:15:01.517+0000 F -        [main] b6f9e000-b6fa6000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.517+0000 F -        [main] b6fab000-b6fad000 rw-p 00000000 00:00 0 
2016-02-02T09:15:01.517+0000 F -        [main] b6fad000-b6fae000 r--p 00022000 08:03 9962794    /usr/lib/ld-2.22.90.so
2016-02-02T09:15:01.517+0000 F -        [main] b6fae000-b6faf000 rw-p 00023000 08:03 9962794    /usr/lib/ld-2.22.90.so
2016-02-02T09:15:01.517+0000 F -        [main] beb3b000-beb5c000 rw-p 00000000 00:00 0          [stack]
2016-02-02T09:15:01.517+0000 F -        [main] bebe1000-bebe2000 r-xp 00000000 00:00 0          [sigpage]
2016-02-02T09:15:01.517+0000 F -        [main] ffff0000-ffff1000 r-xp 00000000 00:00 0          [vectors]
/var/tmp/rpm-tmp.6TzPrO: line 33: 10868 Segmentation fault      (core dumped) mongod --fork --logpath $PWD/mongod.log --pidfilepath $PWD/mongod.pid --dbpath $PWD/test_db/ --storageEngine mmapv1 --smallfiles
+ test_rc=139
Error: Could not start mongod server
+ '[' -n 139 ']'
+ printf 'Error: Could not start mongod server\n'
+ cat mongod.log
cat: mongod.log: No such file or directory
Comment 1 Petr Pisar 2016-02-02 04:32:32 EST
It crashes even with default storage engine:

+ mkdir test_db
+ mongod --fork --logpath /builddir/build/BUILD/MongoDB-v0.708.4.0/mongod.log --pidfilepath /builddir/build/BUILD/MongoDB-v0.708.4.0/mongod.pid --dbpath /builddir/build/BUILD/MongoDB-v0.708.4.0/test_db/
2016-02-02T09:29:20.295+0000 F -        [main] Invalid access at address: 0
2016-02-02T09:29:20.308+0000 F -        [main] Got signal: 11 (Segmentation fault).
 0x8046c940 0x8046b71c 0x8046c290 0xb60c7a90 0x804475fc 0x8044eea0 0x8044ee34 0x80455ae0 0x8045b104 0x8045f130 0x7f95ea6c 0x7f96a87c 0x7f96acc8 0x7f96af88 0x7f90d934 0xb60acd7c
----- BEGIN BACKTRACE -----
{"backtrace":[{"b":"7F5D1000","o":"E9B940"},{"b":"7F5D1000","o":"E9A71C"},{"b":"7F5D1000","o":"E9B290"},{"b":"B6096000","o":"31A90"},{"b":"7F5D1000","o":"E765FC"},{"b":"7F5D1000","o":"E7DEA0"},{"b":"7F5D1000","o":"E7DE34"},{"b":"7F5D1000","o":"E84AE0"},{"b":"7F5D1000","o":"E8A104"},{"b":"7F5D1000","o":"E8E130"},{"b":"7F5D1000","o":"38DA6C"},{"b":"7F5D1000","o":"39987C"},{"b":"7F5D1000","o":"399CC8"},{"b":"7F5D1000","o":"399F88"},{"b":"7F5D1000","o":"33C934"},{"b":"B6096000","o":"16D7C"}]}
 mongod(_ZN5mongo15printStackTraceERSo+0x60) [0x8046c940]
 mongod(+0xE9A71C) [0x8046b71c]
 mongod(+0xE9B290) [0x8046c290]
 libc.so.6(__default_rt_sa_restorer+0x0) [0xb60c7a90]
 mongod(_ZNSt8_Rb_treeINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESt4pairIKS5_N5mongo17optionenvironment5ValueEESt10_Select1stISB_ESt4lessIS5_ESaISB_EE22_M_emplace_hint_uniqueIJRKSt21piecewise_construct_tSt5tupleIJRS7_EESM_IJEEEEESt17_Rb_tree_iteratorISB_ESt23_Rb_tree_const_iteratorISB_EDpOT_+0x60) [0x804475fc]
 mongod(_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE+0x2AC) [0x8044eea0]
 mongod(_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE+0x240) [0x8044ee34]
 mongod(_ZN5mongo17optionenvironment13OptionsParser16addDefaultValuesERKNS0_13OptionSectionEPNS0_11EnvironmentE+0x64) [0x80455ae0]
 mongod(_ZN5mongo17optionenvironment13OptionsParser3runERKNS0_13OptionSectionERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaISB_EERKSt3mapISB_SB_St4lessISB_ESaISt4pairIKSB_SB_EEEPNS0_11EnvironmentE+0x6E0) [0x8045b104]
 mongod(_ZN5mongo17optionenvironment46_mongoInitializerFunction_StartupOptions_ParseEPNS_18InitializerContextE+0x68) [0x8045f130]
 mongod(_ZNSt17_Function_handlerIFN5mongo6StatusEPNS0_18InitializerContextEEPS4_E9_M_invokeERKSt9_Any_dataOS3_+0x34) [0x7f95ea6c]
 mongod(_ZNK5mongo11Initializer7executeERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS7_EERKSt3mapIS7_S7_St4lessIS7_ESaISt4pairIKS7_S7_EEE+0x1C0) [0x7f96a87c]
 mongod(_ZN5mongo21runGlobalInitializersERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS6_EERKSt3mapIS6_S6_St4lessIS6_ESaISt4pairIKS6_S6_EEE+0x4C) [0x7f96acc8]
 mongod(_ZN5mongo21runGlobalInitializersEiPKPKcS3_+0x298) [0x7f96af88]
 mongod(main+0x78) [0x7f90d934]
 libc.so.6(__libc_start_main+0x114) [0xb60acd7c]
-----  END BACKTRACE  -----
Comment 2 Jan Kurik 2016-02-24 09:23:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Remi Collet 2016-02-29 13:31:06 EST
Same issue on F23

See https://kojipkgs.fedoraproject.org/work/tasks/9529/13179529/build.log

+ mongod --journal --bind_ip 127.0.0.1 --unixSocketPrefix /tmp --logpath /builddir/build/BUILD/mongo-c-driver-1.3.3/server.log --pidfilepath /builddir/build/BUILD/mongo-c-driver-1.3.3/server.pid --dbpath /builddir/build/BUILD/mongo-c-driver-1.3.3/dbtest --fork
2016-02-29T18:28:25.890+0000 F -        Invalid access at address: 0
2016-02-29T18:28:25.902+0000 F -        Got signal: 11 (Segmentation fault).
 0x802023f4 0x802017e8 0x8020224c 0xb62f5c10 0x801d9c9c 0x801e2880 0x801e2814 0x801e92dc 0x801ee810 0x801f2d5c 0x7f8d6038 0x7f8e1144 0x7f8e15c0 0x7f8e18b8 0x7f89431c 0xb62ddb54
----- BEGIN BACKTRACE -----
{"backtrace":[{"b":"7F5FF000","o":"C033F4","s":"_ZN5mongo15printStackTraceERSo"},{"b":"7F5FF000","o":"C027E8"},{"b":"7F5FF000","o":"C0324C"},{"b":"B62C7000","o":"2EC10","s":"__default_rt_sa_restorer"},{"b":"7F5FF000","o":"BDAC9C","s":"_ZNSt8_Rb_treeINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESt4pairIKS5_N5mongo17optionenvironment5ValueEESt10_Select1stISB_ESt4lessIS5_ESaISB_EE22_M_emplace_hint_uniqueIJRKSt21piecewise_construct_tSt5tupleIJRS7_EESM_IJEEEEESt17_Rb_tree_iteratorISB_ESt23_Rb_tree_const_iteratorISB_EDpOT_"},{"b":"7F5FF000","o":"BE3880","s":"_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE"},{"b":"7F5FF000","o":"BE3814","s":"_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE"},{"b":"7F5FF000","o":"BEA2DC","s":"_ZN5mongo17optionenvironment13OptionsParser16addDefaultValuesERKNS0_13OptionSectionEPNS0_11EnvironmentE"},{"b":"7F5FF000","o":"BEF810","s":"_ZN5mongo17optionenvironment13OptionsParser3runERKNS0_13OptionSectionERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaISB_EERKSt3mapISB_SB_St4lessISB_ESaISt4pairIKSB_SB_EEEPNS0_11EnvironmentE"},{"b":"7F5FF000","o":"BF3D5C","s":"_ZN5mongo17optionenvironment46_mongoInitializerFunction_StartupOptions_ParseEPNS_18InitializerContextE"},{"b":"7F5FF000","o":"2D7038","s":"_ZNSt17_Function_handlerIFN5mongo6StatusEPNS0_18InitializerContextEEPS4_E9_M_invokeERKSt9_Any_dataOS3_"},{"b":"7F5FF000","o":"2E2144","s":"_ZNK5mongo11Initializer7executeERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS7_EERKSt3mapIS7_S7_St4lessIS7_ESaISt4pairIKS7_S7_EEE"},{"b":"7F5FF000","o":"2E25C0","s":"_ZN5mongo21runGlobalInitializersERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS6_EERKSt3mapIS6_S6_St4lessIS6_ESaISt4pairIKS6_S6_EEE"},{"b":"7F5FF000","o":"2E28B8","s":"_ZN5mongo21runGlobalInitializersEiPKPKcS3_"},{"b":"7F5FF000","o":"29531C","s":"main"},{"b":"B62C7000","o":"16B54","s":"__libc_start_main"}]}
 mongod(_ZN5mongo15printStackTraceERSo+0x58) [0x802023f4]
 mongod(+0xC027E8) [0x802017e8]
 mongod(+0xC0324C) [0x8020224c]
 libc.so.6(__default_rt_sa_restorer+0x0) [0xb62f5c10]
 mongod(_ZNSt8_Rb_treeINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESt4pairIKS5_N5mongo17optionenvironment5ValueEESt10_Select1stISB_ESt4lessIS5_ESaISB_EE22_M_emplace_hint_uniqueIJRKSt21piecewise_construct_tSt5tupleIJRS7_EESM_IJEEEEESt17_Rb_tree_iteratorISB_ESt23_Rb_tree_const_iteratorISB_EDpOT_+0x5C) [0x801d9c9c]
 mongod(_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE+0x2AC) [0x801e2880]
 mongod(_ZNK5mongo17optionenvironment13OptionSection11getDefaultsEPSt3mapINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEENS0_5ValueESt4lessIS8_ESaISt4pairIKS8_S9_EEE+0x240) [0x801e2814]
 mongod(_ZN5mongo17optionenvironment13OptionsParser16addDefaultValuesERKNS0_13OptionSectionEPNS0_11EnvironmentE+0x64) [0x801e92dc]
 mongod(_ZN5mongo17optionenvironment13OptionsParser3runERKNS0_13OptionSectionERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaISB_EERKSt3mapISB_SB_St4lessISB_ESaISt4pairIKSB_SB_EEEPNS0_11EnvironmentE+0x6A4) [0x801ee810]
 mongod(_ZN5mongo17optionenvironment46_mongoInitializerFunction_StartupOptions_ParseEPNS_18InitializerContextE+0x68) [0x801f2d5c]
 mongod(_ZNSt17_Function_handlerIFN5mongo6StatusEPNS0_18InitializerContextEEPS4_E9_M_invokeERKSt9_Any_dataOS3_+0x34) [0x7f8d6038]
 mongod(_ZNK5mongo11Initializer7executeERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS7_EERKSt3mapIS7_S7_St4lessIS7_ESaISt4pairIKS7_S7_EEE+0x1C0) [0x7f8e1144]
 mongod(_ZN5mongo21runGlobalInitializersERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS6_EERKSt3mapIS6_S6_St4lessIS6_ESaISt4pairIKS6_S6_EEE+0x4C) [0x7f8e15c0]
 mongod(_ZN5mongo21runGlobalInitializersEiPKPKcS3_+0x2D0) [0x7f8e18b8]
 mongod(main+0x8C) [0x7f89431c]
 libc.so.6(__libc_start_main+0x114) [0xb62ddb54]
-----  END BACKTRACE  -----
Comment 4 Fedora Update System 2016-03-31 02:21:02 EDT
mongodb-3.0.10-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad367c57b0
Comment 5 Fedora Update System 2016-04-01 03:07:42 EDT
mongodb-3.2.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-150e04ec3b
Comment 6 Marek Skalický 2016-04-01 03:12:33 EDT
This bug is fixed in above mentioned update. So please test it...

For Fedora rawhide (F25) builds are not done yet. It is because new version of gcc with fix is failing to build.
Comment 7 Remi Collet 2016-04-01 04:14:26 EDT
Scratch build of mongo-c-driver aginst 3.2.3-2
http://koji.fedoraproject.org/koji/taskinfo?taskID=13526945

The arm failure is not related to mongodb.
In all arch, server start/stop as expected.
Comment 8 Fedora Update System 2016-04-01 11:24:13 EDT
mongodb-3.0.10-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ad367c57b0
Comment 9 Fedora Update System 2016-04-02 01:24:58 EDT
mongodb-3.2.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-150e04ec3b
Comment 10 Fedora Update System 2016-04-06 10:07:24 EDT
mongodb-3.2.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-04-06 12:02:30 EDT
mongodb-3.0.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2501d314c
Comment 12 Fedora Update System 2016-04-07 17:19:27 EDT
mongodb-3.0.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2501d314c
Comment 13 Petr Pisar 2016-04-13 04:19:31 EDT
For you information, mongodb-server-3.2.3-2.fc24.aarch64 crashes on aarch64 platform (scratch build <http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3501816>) like this:

+ mongod --fork --logpath /builddir/build/BUILD/MongoDB-v1.2.3/mongod.log --pidfilepath /builddir/build/BUILD/MongoDB-v1.2.3/mongod.pid --dbpath /builddir/build/BUILD/MongoDB-v1.2.3/test_db/ --smallfiles
about to fork child process, waiting until server is ready for connections.
forked process: 31134
ERROR: child process failed, exited with error number 51
Error: Could not start mongod server
+ test_rc=51
+ '[' -n 51 ']'
+ printf 'Error: Could not start mongod server\n'
+ cat mongod.log
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] MongoDB starting : pid=31134 port=27017 dbpath=/builddir/build/BUILD/MongoDB-v1.2.3/test_db/ 64-bit host=aarch64-10a.arm.fedoraproject.org
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] db version v3.2.4
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] git version: e2ee9ffcf9f5a94fad76802e28cc978718bb7a30
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] OpenSSL version: OpenSSL 1.0.2g-fips  1 Mar 2016
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] allocator: tcmalloc
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] modules: none
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] build environment:
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten]     distarch: arm64
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten]     target_arch: arm64
2016-04-13T07:59:08.030+0000 I CONTROL  [initandlisten] options: { processManagement: { fork: true, pidFilePath: "/builddir/build/BUILD/MongoDB-v1.2.3/mongod.pid" }, storage: { dbPath: "/builddir/build/BUILD/MongoDB-v1.2.3/test_db/", mmapv1: { smallFiles: true } }, systemLog: { destination: "file", path: "/builddir/build/BUILD/MongoDB-v1.2.3/mongod.log" } }
2016-04-13T07:59:08.078+0000 I JOURNAL  [initandlisten] journal dir=/builddir/build/BUILD/MongoDB-v1.2.3/test_db/journal
2016-04-13T07:59:08.078+0000 I JOURNAL  [initandlisten] recover : no journal files present, no recovery needed
2016-04-13T07:59:08.263+0000 I -        [initandlisten] Fatal Assertion 16143
2016-04-13T07:59:08.263+0000 I -        [initandlisten] 
***aborting after fassert() failure
2016-04-13T07:59:08.270+0000 F -        [initandlisten] Got signal: 6 (Aborted).
[...]
 mongod(_ZN5mongo15printStackTraceERSo+0x48) [0x2aabfa6f760]
 mongod(+0xE2E708) [0x2aabfa6e708]
 mongod(+0xE2EFC8) [0x2aabfa6efc8]
 linux-vdso.so.1(__kernel_rt_sigreturn+0x0) [0x3ffb7350510]
 libc.so.6(gsignal+0x38) [0x3ffb61237f8]
 libc.so.6(abort+0x124) [0x3ffb61253ec]
 mongod(_ZN5mongo13fassertFailedEi+0xA0) [0x2aabfa01af8]
 mongod(_ZN5mongo7LogFile17synchronousAppendEPKvm+0x2B8) [0x2aabf7a9590]
 mongod(_ZN5mongo3dur20_preallocateIsFasterEv+0x16C) [0x2aabf781ac4]
 mongod(_ZN5mongo3dur19preallocateIsFasterEv+0x3C) [0x2aabf782074]
 mongod(_ZN5mongo3dur16preallocateFilesEv+0x4A0) [0x2aabf788468]
 mongod(_ZN5mongo3dur7startupEv+0x64) [0x2aabf777f74]
 mongod(_ZN5mongo20ServiceContextMongoD29initializeGlobalStorageEngineEv+0xA9C) [0x2aabf711504]
 mongod(_ZN5mongo13initAndListenEi+0x430) [0x2aabf0483f0]
 mongod(main+0x658) [0x2aabf001f40]
 libc.so.6(__libc_start_main+0xE8) [0x3ffb610f810]
 mongod(+0x403A0C) [0x2aabf043a0c]

If this will present even with mongodb-3.2.4 that has not yet been built for aarch64, I will open a new bug.
Comment 14 Fedora Update System 2016-04-21 21:25:41 EDT
mongodb-3.0.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.